NWAUTH(1)

NAME
nwauth - Verify username/password

SYNOPSIS
nwauth [ -h ] [ -S server ] [ -U user name ] [ -P password | -n ] [ -D ]

DESCRIPTION
nwauth does nothing but logging into a NetWare server. If the login was successful, an error code of 0 is returned. If the login was not successful, an error code of 1 is returned. It was designed for use by other programs who want authenticate users via a NetWare server. If there is no -P or -n option specified on command line, nwauth always expects a password on stdin. If the stdin is a tty, then the user is prompted for a password. Otherwise nwauth simply reads stdin for a password. nwauth looks up the file $HOME/.nwclient to find a file server and a user name if they are not specified on command line. See nwclient(5) for more information. Please note that the access permissions of .nwclient MUST be 600, for security reasons.

OPTIONS
-h
    -h is used to print a short help text.
-S server
    server is the name of the server you want to use.
-U user name
    If the user name your NetWare administrator gave to you differs from your unix user-id, you should use -U to tell the server about your NetWare user name.
-D
    nwauth says that your password is correct if you have existing connection to server with name user name. This is handy for some shell scripts, but it is unacceptable for authorization modules, such as PAM, PHP or Apache. It was pointed to me that this behavior was not well known, and there exist at least one PAM module which does not know that (this module is not part of ncpfs; you should use PAM module which comes with ncpfs instead anyway).

SEE ALSO
nwclient(5)

CREDITS
nwauth was written by Volker Lendecke (lendecke@math.uni-goettingen.de)